Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class ElementTable

    java.lang.Object
      OOXMLconvert.ElementTable

    public class ElementTable

extends java.lang.Object

Field Summary
`private int` | `cCols`
`private int` | `col`
`private int` | `cRows`
`private Element` | `elTbl`
`private boolean[][]` | `mergedCells`
`private int` | `row`

Constructor Summary
`ElementTable(Element elTbl)` Konštruktor triedy na prácu s tabuľkovým navigátorom.

Method Summary
`private void` | `addMergedCellsInCol(int count)` Funkcia pridá mergenuté bunky v stĺpci (spájame riadky).
`private void` | `addMergedCellsInRow(int count)` Funkcia pridá mergenuté bunky v riadku (spájame stĺpce).
`private int` | `getNextCol()` Funkcia zisťuje pozíciu v tabuľke.
`Element` | `getXHTMLTable()` Funkcia prejde celou tabuľkou a pripraví výstup.
`private void` | `parseCell(Element tcEl, Element xtrEl, int lCol, int lRow, java.util.HashMap<java.lang.Integer,Element> vMerge, Element hMerge)` Funkcia prejde obsahom bunky tabulky a do výstupného XHTML elementu pridá zodpovedajúci obsah
`private void` | `setCounts(Element elTbl)` Funkcia nastaví počet riadkov a stĺpcov a tiež pripraví pole mergenutých buniek

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mergedCells

    private boolean[][] mergedCells

### cRows

    private int cRows

### cCols

    private int cCols

### row

    private int row

### col

    private int col

### elTbl

    private Element elTbl

Constructor Detail

### ElementTable

    public ElementTable(Element elTbl)

  Konštruktor triedy na prácu s tabuľkovým navigátorom.

  Parameters:
    `elTbl` - vstupný element s tabuľkou

Method Detail

### setCounts

    private void setCounts(Element elTbl)

  Funkcia nastaví počet riadkov a stĺpcov a tiež pripraví pole mergenutých buniek

  Parameters:
    `elTbl` - vstupný element s tabuľkou

### addMergedCellsInRow

    private void addMergedCellsInRow(int count)

  Funkcia pridá mergenuté bunky v riadku (spájame stĺpce).

  Parameters:
    `count` - počet buniek

### addMergedCellsInCol

    private void addMergedCellsInCol(int count)

  Funkcia pridá mergenuté bunky v stĺpci (spájame riadky).

  Parameters:
    `count` - počet buniek

### getNextCol

    private int getNextCol()

  Funkcia zisťuje pozíciu v tabuľke.

  Returns:
    číslo nasledujúceho stĺpca

### parseCell

    private void parseCell(Element tcEl,
                           Element xtrEl,
                           int lCol,
                           int lRow,
                           java.util.HashMap<java.lang.Integer,Element> vMerge,
                           Element hMerge)

  Funkcia prejde obsahom bunky tabulky a do výstupného XHTML elementu pridá zodpovedajúci obsah

  Parameters:
    `tcEl` - XML element bunky
    `xtrEl` - XHTML výstupný element

### getXHTMLTable

    public Element getXHTMLTable()

  Funkcia prejde celou tabuľkou a pripraví výstup.

  Returns:
    XHTML element - výstupná XHTML tabuľka

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD